Loading...
Searching...
No Matches
PySolverContextBase Class Referencefinal

`#include <py_solver.h>`

Inheritance diagram for PySolverContextBase:
[legend]
Collaboration diagram for PySolverContextBase:
[legend]

## Public Member Functions

void | init () override
void | set_stdout_logging (bool enable) override
void | set_detailed_logging (bool enable) override
Public Member Functions inherited from gridfire::solver::SolverContextBase
virtual | ~SolverContextBase ()=default

## Member Function Documentation

## init()

void PySolverContextBase::init | ( |  | ) |

overridevirtual

Implements gridfire::solver::SolverContextBase.

## set_detailed_logging()

void PySolverContextBase::set_detailed_logging | ( | bool | enable | ) |

overridevirtual

Implements gridfire::solver::SolverContextBase.

## set_stdout_logging()

void PySolverContextBase::set_stdout_logging | ( | bool | enable | ) |

overridevirtual

Implements gridfire::solver::SolverContextBase.

The documentation for this class was generated from the following files:

- src/python/solver/trampoline/py_solver.h
- src/python/solver/trampoline/py_solver.cpp